[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# Exec

Execute another program, and wait for it to finish.

## Declaration

Source position: dosh.inc line 98

`procedure Exec(`
`const path: PathStr;`
`const comline: ComStr`
`);`

## Description

Exec executes the program in Path, with the options given by ComLine. The program name should not appear again in ComLine, it is specified in Path. Comline contains only the parameters that are passed to the program.

After the program has terminated, the procedure returns. The Exit value of the program can be consulted with the DosExitCode function.

For an example, see DosExitCode

## Errors

Errors are reported in DosError.

## See also

DosExitCode |  | Exit code of last executed program.